## django-fsm-admin 1.2.1

=== requirements.txt ===
Django>=1.6,<1.7
django-fsm==2.0.1

=== debian/changelog ===
django-fsm-admin (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #790567).

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2015 11:11:15 +0200

=== debian/control ===
Source: django-fsm-admin
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django (>= 1.6),
               python-django-fsm,
               python-setuptools,
               python3-all,
               python3-django,
               python3-django-fsm,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/gadventures/django-fsm-admin
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-fsm-admin.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-fsm-admin.git

Package: python-django-fsm-admin
Architecture: all
Depends: python-django (>= 1.6),
         python-django-fsm,
         ${misc:Depends},
         ${python:Depends}
Description: django-fsm state transitions for Django admin
 Mixin and template tags to integrate django-fsm transitions into the django
 admin. It assumes that your workflow state field is named state but you can
 override it or add additional workflow state fields with the attribute
 fsm_field.

Package: python3-django-fsm-admin
Architecture: all
Depends: python3-django,
         python3-django-fsm,
         ${misc:Depends},
         ${python3:Depends}
Description: django-fsm state transitions for Django admin (Python3 version)
 Mixin and template tags to integrate django-fsm transitions into the django
 admin. It assumes that your workflow state field is named state but you can
 override it or add additional workflow state fields with the attribute
 fsm_field.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-fsm-admin

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## django-fsm-admin 1.2.4

=== requirements.txt ===
Django>=1.6
django-fsm==2.0.1

=== debian/changelog ===
django-fsm-admin (1.2.4-3) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Mon, 18 Oct 2021 08:07:04 +0000

django-fsm-admin (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 20 Aug 2019 12:24:39 +0500

django-fsm-admin (1.2.4-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Remove Python2 support.
  * Clean up files in django_fsm_admin.egg-info to allow two builds in a
    row.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 12:48:59 +0200

=== debian/control ===
Source: django-fsm-admin
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-django-fsm,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/gadventures/django-fsm-admin
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm-admin
Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm-admin.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-django-fsm-admin
Architecture: all
Depends:
 python3-django,
 python3-django-fsm,
 ${misc:Depends},
 ${python3:Depends},
Description: django-fsm state transitions for Django admin (Python3 version)
 Mixin and template tags to integrate django-fsm transitions into the django
 admin. It assumes that your workflow state field is named state but you can
 override it or add additional workflow state fields with the attribute
 fsm_field.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=django-fsm-admin
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-fsm-admin-$1.tar.gz/ \
https://github.com/gadventures/django-fsm-admin/releases \
/gadventures/django-fsm-admin/archive/refs/tags/([\d\.]+)\.tar\.gz

## django-fsm-admin 1.2.5

=== Makefile ===
.PHONY: clean-build clean-pyc clean

VERSION := $(shell python setup.py --version)

all:
	@echo

version:
	@echo "fsm_admim.__version__ == $(VERSION)"

help:
	@echo " Make targets"
	@echo
	@echo " * clean       - runs clean-build & clean-pyc"
	@echo " * clean-build - remove build artifacts"
	@echo " * clean-pyc   - remove Python file artifacts"
	@echo " * dist        - package"
	@echo " * help        - print this targets list"
	@echo " * release     - package and upload a release"
	@echo " * version     - print the current value of fsm_admin.__version__"
	@echo

clean: clean-build clean-pyc

clean-build:
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info

clean-pyc:
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +

dist: clean
	@python setup.py -q sdist
	@twine check dist/django-fsm-admin-${VERSION}.tar.gz

release: clean
	@python setup.py -q sdist
	@twine check dist/django-fsm-admin-${VERSION}.tar.gz
	@twine upload dist/django-fsm-admin-$(VERSION).tar.gz

=== debian/changelog ===
django-fsm-admin (1.2.5-2) unstable; urgency=medium

  * Team Upload
  * Fix autopkgtest
  * Use dh-sequence-python3
  * Remove duplicated paragraph from d/copyright
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Mar 2025 11:15:27 +0100

django-fsm-admin (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Bump Standards-Version to 4.6.1.0.
  * Update d/copyright with new years and translations.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Sep 2022 07:02:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-django,
  python3-django-fsm,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/gadventures/django-fsm-admin
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-fsm-admin
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-fsm-admin.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python3-django-fsm-admin
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=django-fsm-admin
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
